version: 0.2

phases:
  install:
    runtime-versions:
      java: corretto8
  build:
    commands:
      - echo Starting building a 🐫 Camel on `date`
      - mvn test 

  post_build:
    commands:
      - echo Completed building a 🐫 Camel on `date`
      - mvn package
artifacts:
  files:
    - target/simple-camel-spring-boot-app-1.0-SNAPSHOT.jar
  discard-paths: yes
